FitnessSyncer Notebook
The FitnessSyncer Notebook uses the same API as the Data Source Items; however, the id is the constant “notebook”.
This section describes the functionality specific for the FitnessSyncer Notebook.
Listing Items by Type
GEThttps://api.fitnesssyncer.com/api/providers/sources/notebook/itemsByType/type
Scopesource_data_activity_readsource_data_allergy_readsource_data_blood_pressure_readsource_data_blood_panel_readsource_data_cholesterol_readsource_data_condition_readsource_data_cycle_tracking_readsource_data_ecg_readsource_data_glucose_readsource_data_medication_readsource_data_nutrition_readsource_data_oxygen_readsource_data_sleep_readsource_data_temperature_readsource_data_weight_read
The data will be filtered based on the scopes provided; not all of the scopes listed are required.
Response 200List of Sync Items
Example request
curl -H "Authorization: Bearer AccessToken" "https://api.fitnesssyncer.com/api/providers/sources/notebook/itemsByType/type"Where type is one of the TaskType values.
Request Parameters
| Query Parameter Name | Description |
|---|---|
| startDate | Which date should we start from? This would be in milliseconds since the epoch. Default is to not use the date. |
| endDate | Which date should we end at? This would be in milliseconds since the epoch. Default is to not use the date. |
| offset | How many entries should we skip? Default is 0. |
| limit | How many entries would you like to return? Default and max is 100. |
Response
The Response will be a JSON body with an items field containing a List Sync Items.
Getting Categories
The FitnessSyncer Notebook can have various task types. This API will tell you which TaskTypes are being used.
GEThttps://api.fitnesssyncer.com/api/providers/sources/notebook/categories
Scopesource_data_activity_readsource_data_allergy_readsource_data_blood_pressure_readsource_data_blood_panel_readsource_data_cholesterol_readsource_data_condition_readsource_data_cycle_tracking_readsource_data_ecg_readsource_data_glucose_readsource_data_medication_readsource_data_nutrition_readsource_data_oxygen_readsource_data_sleep_readsource_data_temperature_readsource_data_weight_read
The data will be filtered based on the scopes provided; not all of the scopes listed are required.
Response 200List of Task Type
Example request
curl -H "Authorization: Bearer AccessToken" "https://api.fitnesssyncer.com/api/providers/sources/notebook/categories"Request Parameters
None
Response
The Response will be a JSON body with an items field containing a List Task Types.
Types
List of Sync Items
| JSON Item | Data Type | Description |
|---|---|---|
| items | Array of Common |
List of Task Type
| JSON Item | Data Type | Description |
|---|---|---|
| items | Array of String | List of the TaskTypes. One of Activity, Allergy, Weight, BloodPressure, BloodPanel, Cholesterol, Condition, CycleTracking, ECG, Glucose, Medication, Nutrition, Oxygen, Sleep, Temperature |